# Uses of Interface
org.apache.sling.discovery.base.connectors.ping.TopologyConnectorClientInformation

Packages that use TopologyConnectorClientInformation
Package
Description
org.apache.sling.discovery.base.connectors.ping
Provides topology connector implementations for discovery implementors that choose to extend from discovery.base

## Uses of TopologyConnectorClientInformation in org.apache.sling.discovery.base.connectors.ping

Classes in org.apache.sling.discovery.base.connectors.ping that implement TopologyConnectorClientInformation
Modifier and Type
Class
Description
`class`
`TopologyConnectorClient`
A topology connector client is used for sending (pinging) a remote topology connector servlet and exchanging announcements with it
Methods in org.apache.sling.discovery.base.connectors.ping that return TopologyConnectorClientInformation
Modifier and Type
Method
Description
`TopologyConnectorClientInformation`
ConnectorRegistry.`registerOutgoingConnector(ClusterViewService clusterViewService, URL topologyConnectorEndpoint)`
Register an outgoing topology connector using the provided endpoint url
`TopologyConnectorClientInformation`
ConnectorRegistryImpl.`registerOutgoingConnector(ClusterViewService clusterViewService, URL connectorUrl)`
Methods in org.apache.sling.discovery.base.connectors.ping that return types with arguments of type TopologyConnectorClientInformation
Modifier and Type
Method
Description
`Collection<TopologyConnectorClientInformation>`
ConnectorRegistry.`listOutgoingConnectors()`
Lists all outgoing topology connectors
`Collection<TopologyConnectorClientInformation>`
ConnectorRegistryImpl.`listOutgoingConnectors()`